document.addEventListener('touchmove', handler, { passive: true });
document.addEventListener("touchstart", function () { }, false);
var loadJS = function (url, implementationCode, location) {
  var scriptTag = document.createElement('script');
  scriptTag.src = url;

  scriptTag.onload = implementationCode;
  scriptTag.onreadystatechange = implementationCode;

  location.appendChild(scriptTag);
};
$(window).on('load', function () {
  if (/Android|webOS|iPhone|iPad|iPod|BlackBerry/i.test(navigator.userAgent)) {
    $('body').addClass('ios');
    $('.header_nav li').on('click', function () {
      $(this).toggleClass('hover');
      $(this).siblings('li').removeClass('hover');
    });
    $(document).mouseup(function (e) {
      var container = $(".header_nav");
      if (!container.is(e.target) && container.has(e.target).length === 0) {
        $('.header_nav li').removeClass('hover');
      }
    });
  } else {
    $('body').addClass('web');

  };

  setTimeout(function () {
    $(".js-bg").each(function () {
      $(this).css('background-image', 'url(' + $(this).data("preload") + ')');
    });
    $(".js-img").each(function () {
      $(this).attr('src', $(this).data("src")).css('opacity',1);
    });
  }, 100);

  setTimeout(function () {
    if ($('.grid').length) {
      $('.grid').isotope({
        itemSelector: '.grid_item',
        percentPosition: true,
        masonry: {
          columnWidth: '.grid_sizer'
        }
      })
    }
  }, 20);

  setTimeout(function () {
    loadJS('js/components/jquery.fancybox.js',fancyboxFunc, document.body);
    loadJS('js/components/jquery.formstyler.js',selectFunc, document.body);
    $('<link rel="preload stylesheet" type="text/css" href="css/fancybox.css" as="style"/>').insertBefore( $( ".styles" ) );    
    
    $('body').removeClass('loaded');
  }, 700);

  function fancyboxFunc() {
    if ($('.fancybox').length) {
      $('.fancybox').fancybox({
        closeExisting: true,
        touch: false,
        smallBtn: true,
      });
    }
  }

  //
  function selectFunc() {
    if ($('.select').length) {
      $('.select').styler();
    }
    if ($('.form_row select').length) {
      $('.form_row select').styler();
    }

  }


});
/* viewport width */
function viewport() {
  var e = window,
    a = 'inner';
  if (!('innerWidth' in window)) {
    a = 'client';
    e = document.documentElement || document.body;
  }
  return { width: e[a + 'Width'], height: e[a + 'Height'] }
};
/* viewport width */
$(document).ready(function () {

});

$(function () { 
  /* placeholder*/
  $('.form-control').each(function () {
    var placeholder = $(this).attr('placeholder');
    $(this).focus(function () { $(this).attr('placeholder', ''); });
    $(this).focusout(function () {
      $(this).attr('placeholder', placeholder);
    });
  });
  /* placeholder*/

  /*button open main nav begin*/
  $('.header_opener').on('click', function () {
    $('.header').toggleClass('open');
    $('html').toggleClass('noscroll-tablet');
    $(this).toggleClass('active');
    return false;
  });
  /*button open main nav end*/

  //
  $('.js-local').on('click', function () {
    var target = $(this).attr('href');
    $('html, body').animate({
      scrollTop: $(target).offset().top
    }, 750);
    return false;
  });

  //
  $('.js-tabs li a').on('click', function () {
    $(this).parents('.tabs_wrap').find('.tabs_cont').addClass('hide-tab');
    $(this).parent().siblings().removeClass('active');
    var id = $(this).attr('href');
    $(id).removeClass('hide-tab');
    $(this).parent().addClass('active');
    return false;
  });

  //js-welcome_slider
  var swiperWelc = new Swiper(".js-welcome_slider", {
    slidesPerView: 1,
    spaceBetween: 0,
    loop: true,
    watchSlidesVisibility: true,
    watchSlidesProgress: true, 
    autoplay: {
      delay: 10000,
    },
    pagination: {
      el: '.welcome_pagination',
      clickable: true
    },
  });

  //
  var swiperNews = new Swiper(".js-media_slider", {
    slidesPerView: 1,
    spaceBetween: 0,
    loop: true,
    watchSlidesVisibility: true,
    watchSlidesProgress: true,
    pagination: {
      el: '.swiper-pagination',
      clickable: true
    },
    breakpoints: {
      620: {
        slidesPerView: 2,
        spaceBetween: 0,
      },
      1024: {
        slidesPerView: 3,
        spaceBetween: 0,
      },
    },
  });

  //js-videos_slider
    var swiperNews = new Swiper(".js-videos_slider", {
    slidesPerView: 1,
    spaceBetween: 0,
    loop: true,
    watchSlidesVisibility: true,
    watchSlidesProgress: true,
    pagination: {
      el: '.swiper-pagination',
      clickable: true
    },
    breakpoints: {
      768: {
        slidesPerView: 2,
        spaceBetween: 0,
      },
    },
  });

  $('.header_search_opener').on('click', function () {
    $(this).parent().toggleClass('open');
  });
  $(document).mouseup(function (e) {
    var container = $(".header_search");
    if (!container.is(e.target) && container.has(e.target).length === 0) {
      $('.header_search').removeClass('open');
    }
  });

  //
  var swiper = new Swiper(".gallerythumbs", {
    loop: true,
    spaceBetween: 4,
    slidesPerView: 6,
    freeMode: true,
    navigation: {
      nextEl: ".gallerythumbs-next",
      prevEl: ".gallerythumbs-prev",
    },
    watchSlidesProgress: true,
    breakpoints: {
      410: {
        slidesPerView: 7,
      },
      480: {
        slidesPerView: 8,
      },
      580: {
        slidesPerView: 9,
      },
      768: {
        slidesPerView: 10,
      },
      1024: {
        slidesPerView: 7,
      },
      1199: {
        slidesPerView: 8,
      },
      1280: {
        slidesPerView: 9,
      },
    },
  });
  var swiper2 = new Swiper(".gallery", {
    loop: true,
    spaceBetween: 10,
    navigation: {
      nextEl: ".gallery-next",
      prevEl: ".gallery-prev",
    },
    thumbs: {
      swiper: swiper,
    },
  });

  //
  $('.choise .btn').on('click', function () {
    $(this).text('selected');
    $(this).parents('.choise_item').addClass('selected');
    $(this).parents('.choise_item').siblings().removeClass('selected');
    $(this).parents('.choise_item').siblings().find('.btn').text('select');
  });



});

//product_gallery
var prodswiper = new Swiper(".product_thumbs", {
  loop: false,
  spaceBetween: 10,
  slidesPerView: 3,
  freeMode: true,
  navigation: {
    nextEl: ".swiper-button-next",
    prevEl: ".swiper-button-prev",
  },
  watchSlidesProgress: true,
  breakpoints: {
    375: {
      spaceBetween: 10,
      slidesPerView: 4,
    },
    480: {
      spaceBetween: 10,
      slidesPerView: 5,
    },
    640: {
      spaceBetween: 13,
      slidesPerView: 6,
    },
    780: {
      spaceBetween: 13,
      slidesPerView: 7,
    },
    1024: {
      spaceBetween: 13,
      slidesPerView: 8,
    },
    1200: {
      spaceBetween: 13,
      slidesPerView: 4,
    },
    1280: {
      spaceBetween: 13,
      slidesPerView: 5,
    },
  },
});
/*var prodswiper2 = new Swiper(".product_gallery", {
  loop: false,
  thumbs: {
    swiper: prodswiper,
  },
});*/
// This code loads the IFrame Player API code asynchronously.
if ($('.video-swiper-wrapper').length > 0) {
        var tag = document.createElement('script');
        tag.src = "https://www.youtube.com/iframe_api";
        var firstScriptTag = document.getElementsByTagName('script')[0];
        firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);

        // 3. This function creates an <iframe> (and YouTube player)

        var initPlayer = function (element) {
            var player = element.querySelector('.video-iframe');
            var button = element.querySelector('.video-play');
            var ytplayer = new YT.Player(player, {
                playerVars: {
                    'autoplay': 0,
                    'modestbranding': 1,
                    'controls': 0,
                    'rel': 0,
                },
                videoId: element.dataset.id
            });

            button.addEventListener('click', function () {
                console.log(ytplayer);
                console.log(ytplayer.getPlayerState());
                ytplayer.playVideo();
                switch (ytplayer.getPlayerState()) {
                    case 1:
                        ytplayer.stopVideo();
                        break;
                    default:
                        ytplayer.playVideo();
                        break;
                }
            });
        };

        var swiper_youtube = new Swiper('.swiper-youtube-container', {
            loop: false,
            thumbs: {
              swiper: prodswiper,
            },  
            navigation: {
                nextEl: '.video-next',
                prevEl: '.video-prev',
            },
        }).on('slideChange', function () {
            var isVideo = swiper_youtube.slides[swiper_youtube.previousIndex].querySelector('.video-container');
            console.log(isVideo.querySelector('iframe').id);
            if (isVideo) {
              console.log(isVideo.querySelector('iframe').id);
                YT.get(isVideo.querySelector('iframe').id).stopVideo();
                console.log(isVideo.querySelector('iframe').id);
            }
        });

        window.onYouTubePlayerAPIReady = function () {
            var container = document.querySelectorAll('.video-container');
            for (var i = 0; i < container.length; i++) {
                initPlayer(container[i])
            }
        };

        if ($('.video-swiper-wrapper .swiper-slide').length < 2) {
            $('.video-ctrl').hide();
        }
    }

//

document.addEventListener('DOMContentLoaded', function () {

});

var handler = function () {

  var height_footer = $('.footer').height();
  var height_header = $('.header').height();

  var viewport_wid = viewport().width;
  var viewport_height = viewport().height;

  $('.js-vh').css({ 'height': $(window).height() });

  if (viewport_wid <= 991) {

  }
  else if (viewport_wid > 991) {

  }

}
$(window).bind('load', handler);
$(window).bind('resize', handler);

